<?php
Namespace App\Model;

/**
 * Provides base functions for Homegear Users
 *
 */
class HomegearUser
{
    public $hg;

    public function __construct()
    {
        $this->hg = new \Homegear\Homegear;
    }

    public function setLocale($username,$locale)
    {
        $settings = $this->loadUserSettings($username);
        if (is_array($settings) && count($settings) > 0) {
            $settings['locale'] = $locale;
            $this->hg->setUserMetadata($username,$settings);
        } else {
            $this->hg->setUserMetadata($username,['locale' => $locale]);
        }
    }

    public function loadUserSettings($username = null)
    {
        if ($username === null) { return; }
        try {
            $settings = $this->hg->getUserMetadata($username);
        } catch(\Homegear\HomegearException $e) {
            return;
        }
        return $settings;
    }

    public function loadUserGroups($username = null)
    {
        if ($username === null) { return; }
        try {
            $groups = $this->hg->getUsersGroups($username);
        } catch(\Homegear\HomegearException $e) {
            return;
        }
        return $groups;
    }

}